# Create Transaction Request

The following HTTP POST parameters are common to all API calls that create transactions:

`secretPhrase` is the secret passphrase of the account (optional, but transaction neither signed nor broadcast if omitted)\
`publicKey` is the public key of the account (optional if secretPhrase provided)\
`feeNQT` is the is the fee (in NQT) for the transaction\
`deadline` deadline (in minutes) for the transaction to be confirmed, 1440 minutes maximum\
`broadcast` is set to false to prevent broadcasting the transaction to the network (optional)\
`message` is either UTF-8 text or a string of hex digits (perhaps previously encoded using an arbitrary algorithm) to be converted into a bytecode with a maximum length of one kilobyte\
`messageIsText` is false if the message is a hex string, otherwise the message is text (optional)\
`messageToEncrypt` is either UTF-8 text or a string of hex digits to be compressed and converted into a bytecode with a maximum length of one kilobyte, then encrypted using AES (optional)\
`messageToEncryptIsText` is false if the message to encrypt is a hex string, otherwise, the message to encrypt is text (optional)\
`encryptedMessageData` is already encrypted data which overrides messageToEncrypt if provided (optional)\
`encryptedMessageNonce` is a unique 32-byte number which cannot be reused (optional unless encryptedMessageData is provided)\
`messageToEncryptToSelf` is either UTF-8 text or a string of hex digits to be compressed and converted into a one-kilobyte maximum bytecode then encrypted with AES, then sent to the sending account (optional)\
`messageToEncryptToSelfIsText` is false if the message to self-encrypt is a hex string, otherwise the message to encrypt is text (optional)\
`encryptToSelfMessageData` is already encrypted data which overrides messageToEncryptToSelf if provided (optional)\
`encryptToSelfMessageNonce` is a unique 32-byte number which cannot be reused (optional unless encryptToSelfMessageData is provided)\
`recipientPublicKey` is the public key of the receiving account (optional, enhances the security of a new account)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/create-transaction-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
